خرید هاست خرید سرور

خطای ووکامرس و پوسته سایت

سلام و عرض ادب

بنده بعد از آپدیت ووکامرس شاهد یک خطا در بالای پیشخوان وردپرس شدم :

پوسته شما (نام پوسته) دارای فایل های الگو(قالب پوسته) قدیمی ووکامرس می باشد. احتمالا برخی از فایل های قالب نیازمند به روز رسانی برای سازگاری با نگارش کنونی ووکامرس هستند. فایل های تشخیص داده شده برای رفع مشکل: پوسته خود را به آخرین نسخه بروزرسانی کنید. اگر هیچ بروزرسانی در دسترس نیست، با طراح قالب موضوع خود در مورد سازگاری با نسخه فعلی WooCommerce تماس بگیرید. اگر برای تغییر چیزی بیش از یک فایل الگو کپی کردید، باید نسخه جدید این الگو را کپی کنید و دوباره تغییرات خود را اعمال کنید.

ممنون میشم راهنمایی کنید.

سلام و درود

زمانی که ووکامرس به اخرین نسخه اپدیت میشه احتمال داره که قالب شما هنوز با نسخه اخر ووکامرس سازگار نشده باشه.

برای این منظور بررسی کنید که نسخه جدید قالب تون با اخرین نسخه ووکامرس اپدیت شده بعد اپدیت کنید. اگر هم نسخه جدید نیومده بود موردی نیست و مشکلی در سایتتون ایجاد نمی کنه

3 Likes

قالبم رو خودم طراحی کردم

هیمن برام سوال شد که چطوری درستش کنم؟

باید توابع و تملپت هایی که برای بخش ووکامرس کدنوسی کردید رو با اخرین تملپت و کدهای ووکامرس سازگار کنید. مستندات رو می تونید در ووکامرس هم مشاهده کنید

5 Likes

یعنی کد های تمپلت داخل پوشه ووکامرس قالبم رو باید عوض کنم؟

چون برای اونا کد سفارشی نوشتم و اضافه کردم

طبق گفته های @webmaster باید همیشه کد های سفارشی قالبت را با آخرین نسخه های ووکامرس و وردپرس سازگار کنی
چون با ارتقا وردپرس و ووکامرس مسلما بسیار از تابع ها deprecate میشوند
اما اگر تفاوت چندانی در نسخه سفارشی شما و نسخه جدید آن برگه از ووکامرس نیست کافیست ورژن آن برگه ای که ووکامرس از آن ایراد آپدیت گرفته را به اخرین ورژن تغییر دهید


بعنوان مثال در تصویر بالا ورژن 3.4.0 هست خب شما آنرا به 4.0.0 تغییر دهید

4 Likes